﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGridRenderingPerformance
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Random _random = new Random();
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            var table = new DataTable();
            var numColumns = 20;
            var numRows = 1000;
            for (int i = 0; i < numColumns; i++)
                table.Columns.Add(new DataColumn("column " + i));

            for (int i = 0; i < numRows; i++)
            {
                object[] rowValues = new object[numColumns];
                for (int j = 0; j < numColumns; j++)
                    rowValues[j] = _random.Next();

                table.Rows.Add(rowValues);
            }

            this.DataContext = table.DefaultView;
        }

    }
}
